# Automatically generated by espanso migration tool
# Original file: default.yml

matches:
  - trigger: ":espanso"
    replace: Hi there!

# Dates
  - trigger: ":/d"
    replace: "{{mydate}}"
    vars:
      - name: mydate
        type: date
        params:
          format: "%d/%m/%Y"

  - trigger: ":d"
    replace: "{{mydate}}"
    vars:
      - name: mydate
        type: date
        params:
          format: "%Y%m%d"
    word: true

  - trigger: ":-d"
    replace: "{{mydate}}"
    vars:
      - name: mydate
        type: date
        params:
          format: "%m-%d-%Y"

  - trigger: ".hd"
    replace: "{{mydate}}"
    vars:
      - name: mydate
        type: date
        params:
          format: "%d/%m/%Y %H:%M:%S"
  
  - trigger: ".dm"
    replace: "{{mydate}}"
    vars:
      - name: mydate
        type: date
        params:
          format: "%d/%m"

# Shell
  - trigger: ":pi"
    replace: ssh pi@10.0.0.27

# Personal information
  - trigger: ":dni"
    replace: 51082722K
    word: true

  - trigger: ":nombre"
    replace: Angel Bernal Pascua

  - trigger: "@@g"
    replace: abernal80@gmail.com

  - trigger: "@@h"
    replace: abernal80@hotmail.com

  - trigger: "@@o"
    replace: abernal80@outlook.com

  - trigger: "@@i"
    replace: abernal80@icloud.com

  - trigger: "@@m"
    replace: marta_de_gregorio@hotmail.com

  - trigger: ":nombre"
    replace: Angel Bernal

  - trigger: ":marta"
    replace: Marta de Gregorio Torrado

  - trigger: ":telfp"
    replace: "626421414"

  - trigger: ":calle"
    replace: "Isabel Clara Eugenia 62, 5ºJ"

# Professional information
  - trigger: "@tm"
    replace: "@talentomobile.com"

  - trigger: "@@t"
    replace: angel.bernal@talentomobile.com

  - trigger: ":telft"
    replace: "689071155"

  - trigger: ":us"
    replace: un saludo
    propagate_case: true
    word: true

  - trigger: ":aom"
    replace: "Por favor, añadid o modificad lo que veáis conveniente."
    word: true

  - trigger: ":tm"
    replace: TalentoMOBILE
    word: true

  - trigger: ":mp4b"
    replace: MoneyPlan for Business

  - trigger: ":mm"
    replace: MásMóvil
    word: true

  - trigger: ":lyc"
    replace: Lycamobile
    word: true

  - trigger: ":elc"
    replace: eLive Contract
    word: true

  - trigger: ":tf"
    replace: TrueFace
    word: true

  - trigger: ":f2t"
    replace: Face2Travel
    word: true

  - trigger: ":seci"
    replace: Seguros El Corte Inglés
    word: true

  - trigger: ":aa"
    replace: |-
      "Angel Arias González" <angel.arias@talentomobile.com>

# Generic
  - trigger: docuemtno
    replace: documento
    propagate_case: true

  - trigger: gracais
    replace: gracias

  - trigger: ":mg"
    replace: muchas gracias
    propagate_case: true

  - trigger: ":h."
    replace: horas

  - trigger: Ines
    replace: Inés

  - trigger: pin
    replace: "1111"
    word: true

  - trigger: puk
    replace: "11111111"

  - trigger: "@@d"
    replace: a@a.com

  # Bear App
  - trigger: ":#bp"
    replace: "#casa"

  - trigger: ":#bt"
    replace: "#trabajo"

  - trigger: ":#bcal"
    replace: "#trabajo/calendario/{{mydate}}"
    vars:
      - name: mydate
        type: date
        params:
          format: "%m-%d-%Y"
    word: true

  # Obsidian App
  - trigger: "::om"
    replace: "![[{{mydate}}#{{mydate}} Managers]]"
    vars:
      - name: mydate
        type: date
        params:
          format: "%Y%m%d"

  - trigger: "::ot"
    replace: "![[{{mydate}}#To Do {{mydate}} To Do]]"
    vars:
      - name: mydate
        type: date
        params:
          format: "%Y%m%d"

  - trigger: "::ovt"
    replace: "![[{{mydate}}#VAT Tech - Seguimiento {{mydate}} VAT Tech]]"
    vars:
      - name: mydate
        type: date
        params:
          format: "%Y%m%d"

  - trigger: "::tab"
    replace: |-
      | title | title | title | title |
      | ----- | ------- | ----- | -------- |
      | 1     | 1       | 1    | 1        |

  # Raspberry
  - trigger: ":bit"
    replace: "https://bitwarden.ourtreehouse.duckdns.org"  


  # Docker
  - trigger: "::dcu"
    replace: "docker-compose up -d"

  - trigger: "::dcd"
    replace: "docker-compose down"  

  - trigger: "::dcp"
    replace: "docker-compose down && docker-compose pull && docker-compose up -d"